// This program demonstrates the Length class's convert operator
// Adapted from pr11-16 in textbook
#include <iostream>
#include "Length2.h"
using namespace std;

int main()
{
  Length distance {2, 6};
  int inches = distance;
  double feet = distance;

  cout << "Length in distance: " << distance.getFeet() << " feet and ";
  cout << distance.getInches() << " inches" << endl;

  cout << "Value stored in variable 'inches': " << inches << endl;
  cout << "Value stored in variable 'feet': " << feet << endl;
    
  return 0;
}
